---
- name: Nginx
  include_role:
    name: geerlingguy.nginx
  vars:
    nginx_upstreams:
      - name: mm_proxy
        servers: {
          "unix://var/www/somconnexio-mm-proxy/gunicorn.sock"
        }
    nginx_vhosts:
      - server_name: "{{ inventory_hostname }}"
        filename: "mm_proxy_443.conf"
        template: "443.vhost.j2"

- name: Add www-data to app group
  user:
    name: www-data
    groups: "{{ app_group }}"
    append: true
